Bug 62835 - Screen freezes after resume from s2ram
Summary: Screen freezes after resume from s2ram
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 20:39 UTC by Pontus Fuchs
Modified: 2013-12-08 16:29 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Kernel logs with drm.debug=2 nouveau.debug=trace (1.19 MB, text/plain)
2013-03-27 20:39 UTC, Pontus Fuchs
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pontus Fuchs 2013-03-27 20:39:13 UTC
Created attachment 77123 [details]
Kernel logs with drm.debug=2 nouveau.debug=trace

With 3.9-rc kernels X freezes after resume from s2ram. After ~10 seconds X is restarted.

When this happens the following is printed in the kernel logs:

nouveau E[Xorg[1218]] failed to idle channel 0xcccc0000 [Xorg[1218]]
nouveau E[     PFB][0000:01:00.0] trapped read at 0x002001e020 on channel 0x00007b23 [unknown] SEMAPHORE_BG/PFIFO_READ/00 reason: PAGE_NOT_PRESENT
nouveau E[   PFIFO][0000:01:00.0] CACHE_ERROR - ch 2 [Xorg[1218]] subc 7 mthd 0x1280 data 0x00000000
nouveau E[  PGRAPH][0000:01:00.0] TRAP_TPDMA - TP0: Unhandled ustatus 0x00000004
nouveau E[  PGRAPH][0000:01:00.0]  TRAP
nouveau E[  PGRAPH][0000:01:00.0] ch 2 [0x0007b23000 Xorg[1218]] subc 7 class 0x8297 mthd 0x15e0 data 0x00000000
nouveau E[  PGRAPH][0000:01:00.0] TRAP_TPDMA_2D - TP 0 - Unknown fault at address 0020339000
nouveau E[  PGRAPH][0000:01:00.0] TRAP_TPDMA_2D - TP 0 - e0c: 00000000, e18: 00000000, e1c: 00000000, e20: 00000011, e24: 0c030000
...

Full log attached.

Hardware is GeForce 8400M GS (10de:0427).
Comment 1 Patrik Lundquist 2013-04-11 17:17:53 UTC
I seem to have the same problem with a GeForce 8800 GT card. Let me know if I can help.

See https://bugs.launchpad.net/bugs/1111884
Comment 2 Emil Velikov 2013-08-07 22:30:36 UTC
Pontus

You've mentioned in bug 59057

> Pontus Fuchs 2013-03-11 19:57:13 UTC
> Suspend / Resume working again with Linus' master git.

Assuming that this is the same system, has the issue regressed again ?

I'm assuming that the issue may not have been fixed and was worked around by disabling "desktop effects".
Comment 3 Pontus Fuchs 2013-08-11 08:49:41 UTC
(In reply to comment #2)
> Pontus
> 
> You've mentioned in bug 59057
> 
> > Pontus Fuchs 2013-03-11 19:57:13 UTC
> > Suspend / Resume working again with Linus' master git.
> 
> Assuming that this is the same system, has the issue regressed again ?
> 
> I'm assuming that the issue may not have been fixed and was worked around by
> disabling "desktop effects".

The symptoms are similar to bug 59057 but not identical. In bug 59057 the screen was completely blank after resume. 

In this bug the screen is first restored but everything is frozen except for the mouse pointer.

Since the symptms where not identical I decided to file a new bug.
Comment 4 Emil Velikov 2013-08-11 09:08:40 UTC
Can you isolate(bisect) the offending commit ?
Comment 5 Pontus Fuchs 2013-08-11 16:14:06 UTC
(In reply to comment #4)
> Can you isolate(bisect) the offending commit ?

It's not really possible :( The complete story goes like this:

1. Back in 3.7 everything was working fine.
2. In 3.8-rc2 resume was not working with the black screen problem
3. After some time the black screen was fixed but I now had the problem described in this bug.

If I bisect to a completely working system I'll end up before 3.8-rc2 as in bug 59057.
Comment 6 chr[] 2013-10-03 22:10:36 UTC
Hi!

Regarding suspend/resume scrambling screen issues, try this patch:


[PATCH] drm/nouveau/fb: fix suspend/resume fbcon

http://lists.freedesktop.org/archives/nouveau/2013-October/014656.html

chr[]
Comment 7 Pontus Fuchs 2013-10-05 06:26:50 UTC
(In reply to comment #6)
> 
> Regarding suspend/resume scrambling screen issues, try this patch:
> 
> 
> [PATCH] drm/nouveau/fb: fix suspend/resume fbcon
> 
> http://lists.freedesktop.org/archives/nouveau/2013-October/014656.html
> 

Hi,

I tried your patch but it does not solve my issue :(

//Pontus
Comment 8 Patrik Lundquist 2013-10-06 16:58:54 UTC
The patch doesn't help me either. :-/
Comment 9 Pontus Fuchs 2013-12-06 23:39:41 UTC
I finally managed to bisect this problem. This is the offending commit:

commit 4f6029da58ba9204c98e33f4f3737fe085c87a6f
Author: Ben Skeggs <bskeggs@redhat.com>
Date:   Fri Nov 16 11:54:31 2012 +1000

    drm/nv50-nvc0: switch to common disp impl, removing previous version


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.